<template>
  <div class="data-container">
    <el-row>
      <el-col>
        <h1 class="title">运维报表</h1>
      </el-col>
    </el-row>


    <el-card class="map-wrapper">
      <el-row>
        <el-col :span="5">
          <div class="select-container">
            <div class="select-label">
              数据源
            </div>
            <el-select v-model="selectOption" placeholder="请选择">
              <el-option v-for="item in options" :key="item.value" :label="item.label" :value="item.value">
              </el-option>
            </el-select>
          </div>

        </el-col>
        <el-col :offset="17" :span="2">
          <el-button type="primary" @click="toScreen">可视化大屏</el-button>
        </el-col>
      </el-row>
      <el-row :gutter="40" class="data-plane" style="height: 100%;">
        <el-col :xs='24' :md="24" :sm="24" :lg="6" :xl="6" style="height: 100%;">
          <data-icon :activeData="activeData"></data-icon>
        </el-col>
        <el-col :xs='24' :md="24" :sm="24" :lg="12" :xl="12" style="height: 100%;">
          <data-map @filterData="filterData"></data-map>
        </el-col>
        <el-col :xs='24' :md="24" :sm="24" :lg="6" :xl="6" style="height: 100%;">
          <data-hola :activeData="activeData"></data-hola>
        </el-col>
      </el-row>
    </el-card>

  </div>
</template>

<script>
// import DataPlane from './components/data-plane.vue';

import DataMap from './components/data-map.vue';
import DataIcon from './components/data-icon.vue';
import DataHola from './components/data-hola.vue';

export default {
  name: 'DataView',
  components: {
    DataMap,
    DataIcon,
    DataHola,
    // DataPlane
  },
  data() {
    return {
      dataList: [
        { id: 1, type: '工单数', num: 523, },
        { id: 2, type: '恢复数', num: 50, },
        { id: 3, type: '待恢复数', num: 523, },
        { id: 4, type: '超期未处理数', num: 123, },
        { id: 5, type: '超期责任数', num: 512323, },
      ],
      iconList: [
        { icon: 'el-icon-tickets', color: '#7868d9' },
        { icon: 'el-icon-s-claim', color: '#3eba45' },
        { icon: 'el-icon-edit', color: '#3da7f8' },
        { icon: 'el-icon-warning', color: '#ffbe40' },
        { icon: 'el-icon-error', color: '#fe640d' },
      ],
      totalList: [
        {
          "name": "荣县",
          "data1": 3,
          "data2": 82,
          "data3": 5,
          "data4": 95,
          "data5": 50
        },
        {
          "name": "贡井区",
          "data1": 1,
          "data2": 94,
          "data3": 38,
          "data4": 60,
          "data5": 87
        },
        {
          "name": "自流井区",
          "data1": 15,
          "data2": 57,
          "data3": 81,
          "data4": 77,
          "data5": 85
        },
        {
          "name": "沿滩区",
          "data1": 8,
          "data2": 7,
          "data3": 60,
          "data4": 77,
          "data5": 43
        },
        {
          "name": "富顺县",
          "data1": 40,
          "data2": 75,
          "data3": 50,
          "data4": 69,
          "data5": 79
        },
        {
          "name": "大安区",
          "data1": 68,
          "data2": 38,
          "data3": 27,
          "data4": 43,
          "data5": 95
        }
      ],
      activeData: { name: '自贡市', data1: 0, data2: 0, data3: 0, data4: 0, data5: 0 },
      options: [
        {
          value: 1,
          label: '省厅数据'
        },
        {
          value: 2,
          label: '市局数据'
        },
        {
          value: 3,
          label: '公安部数据'
        },
      ],
      selectOption: 1
    }
  },
  methods: {
    filterData(name) {
      if (name) {
        this.activeData = this.totalList.find(item => item.name === name);
      } else {
        this.countTotal();
      }

    },
    countTotal() {
      let data = {};
      this.totalList.forEach((item) => {
        Object.keys(item).forEach((key) => {
          data[key] = data[key] ? data[key] + item[key] : item[key];
        });
      });
      data.name = '自贡市';
      this.activeData = data;
    },

    toScreen() {
      this.$router.push({
        path: '/screen'
      })
    }
  },
  created() {
    this.countTotal();
  }
}
</script>

<style lang="scss" scoped>
.data-container {
  margin-bottom: 20px;
}

.title {
  text-align: left;
}

.icon-container {
  height: 80px;
}

.col-content {
  margin-bottom: 10px;
}

.map-wrapper {
  // background-color: rgb(48, 65, 86);

}

.data-plane {
  aspect-ratio: 6/2;
}

.select-container {
  display: flex;
  align-items: center;
  .select-label {
    color: #666;
    margin-right: 20px;
    font-size: 16px;
  }
}

@media screen and (min-width: 1200px) {
  .el-col-md-6 {
    width: 20%;
  }
}
</style>
